{
	"name": "heimdall-core",
	"dependencies": [
	],
	"roottask": {
		"name": "all",
		"type": "group",
		"sub": [
			{
				"name": "compile",
				"type": "typescript",
				"parameters": {
					"inputs": [
						"lib/plankton/plankton.d.ts",
						"source/base.ts",
						"source/helpers/json_schema.ts",
						"source/helpers/misc.ts",
						"source/logic/state_repository.ts",
						"source/logic/notification_kinds/_base.ts",
						"source/logic/notification_kinds/console.ts",
						"source/logic/notification_kinds/email.ts",
						"source/logic/notification_kinds/libnotify.ts",
						"source/logic/check_kinds/_base.ts",
						"source/logic/check_kinds/script.ts",
						"source/logic/check_kinds/http_request.ts",
						"source/logic/check_kinds/file_state.ts",
						"source/logic/check_kinds/tls_certificate.ts",
						"source/logic/check_kinds/generic_remote.ts",
						"source/logic/order.ts",
						"source/logic/master.ts",
						"source/init.ts"
					],
					"target": "es2020",
					"strict": true,
					"output": "temp/heimdall-core.js",
					"declaration": "temp/heimdall-core.d.ts"
				}
			},
			{
				"name": "node_modules",
				"type": "copy",
				"parameters": {
					"folder": true,
					"input": "lib/node/node_modules/",
					"output": "build/node_modules/"
				}
			},
			{
				"name": "localization",
				"type": "copy",
				"parameters": {
					"folder": true,
					"input": "source/localization/",
					"output": "build/localization/"
				}
			}
		]
	}
}
